package com.tofly.gpsboot.mapper.es;

import java.util.List;
import java.util.Map;

/**
 * @author tuonbed
 * @date 2020/5/15  15:49
 */
public interface EsSaveInfoMapper {
    public void insertEsInfo(Map map);
    public List<Map> getUsersRtInfo();

    public List<Map> getCarGpsInfo();

    /**
     *  获取车巡最大速度
     * @return 车巡最大速度，单位m/s
     */
    double getCarMaxSpeed();

    /**
     *  获取人巡最大速度
     * @return 人巡最大速度，单位m/s
     */
    double getMaxSpeed();
}
